package com.huiju.welcome.controller;

import com.huiju.welcome.common.base.BaseController;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.service.ITaCarService;
import com.huiju.welcome.utils.CommConstant;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
    *  前端控制器
    * </p>
 *
 * @author jobob
 * @since 2019-06-11
 */
@RestController
@RequestMapping("/")
public class TaCarController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(TaCarController.class);

    @Autowired
    public ITaCarService iTaCarService;

    @PutMapping("/car/whitelist/{id}")
    public ResponseBean addWhiteList(@PathVariable String id) {
        iTaCarService.setCarType(id, CommConstant.TYPE_CAR_INNER);
        return ResponseBean.success("");
    }

    @DeleteMapping("/car/whitelist/{id}")
    public ResponseBean deleteWhiteList(@PathVariable String id) {
        iTaCarService.setCarType(id, CommConstant.TYPE_CAR_NORMAL);
        return ResponseBean.success("");
    }

}
